# EffectParameter Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void EffectParameter(int parameterId, String name, Hints hints, Object defaultValue, Object min, Object max, List values, String description)

### Constructor Properties

- prototype: The EffectParameter prototype object
- ToggledHint = 0x04
- LogarithmicHint = 0x10
- IntegerHint = 0x20
- Hint( value )
- Hints( value1, value2, ... )

### Prototype Object Properties

- Object defaultValue()
- String description()
- bool isLogarithmicControl()
- Object maximumValue()
- Object minimumValue()
- String name()
- List possibleValues()
- QVariant::Type type()

### Instance Properties

EffectParameter objects have no special properties beyond those inherited from the EffectParameter prototype object.